Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156507 - konqueror won't resume download when you right-click and "save as"
Summary: konqueror won't resume download when you right-click and "save as"
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-01 11:42 UTC by Ellen Shull
Modified: 2008-03-20 11:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-20 11:48:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 159599 None None None Never

Description Ellen Shull 2005-05-01 11:42:45 UTC
Description of problem:
When downloading a file from a webpage in Konqueror, if you have partially
downloaded the file already and do a right-click then "save as", it does not
check for a .part file and give the option to resume.  If you just (left) click
on the link then click the "save as" button, you are given the resume option.

Version-Release number of selected component (if applicable):
kdebase-3.4.0-5

How reproducible:
always

Steps to Reproduce:
0. Start konqueror
1. In konqueror, start a file downloading from a webserver, using either (left)
click then "save as" button or right-click then "save as" from the contextual
menu, doesn't matter
2. cancel the download before it completes
3. verify that you have a filename.part file in the directory to which you were
saving
4. go back and start the download again, by right-clicking on the link and
selecting "save as".  Don't change the filename (you want to make sure it's the
same as what you started downloading it as)

Actual results:
File will start downloading from the beginning again.

Expected results:
If instead of step 4, you (left) click on the link and then click the "save as"
button when it asks you what to do, it will detect the .part file and give you
the option to resume.  This should happen in both cases.

Additional info:
The left-click may not give you the option to save as if you don't have
konqueror configured to always ask; go back and set that if necessary.

Comment 1 Lukáš Tinkl 2008-01-02 14:10:43 UTC
Please check against a more recent version of kdebase (from an updated F7 or 
F8 installation). Thx

Comment 2 Ellen Shull 2008-01-03 09:44:42 UTC
Just tested against an F8 box, and it still exhibits the same (IMO incorrect)
behavior.

kdebase-3.5.8-9.fc8


Note You need to log in before you can comment on or make changes to this bug.